ITの隊長のブログ

ITの隊長のブログです。Pythonを使って仕事しています。最近は機械学習をさわりはじめたお(^ω^ = ^ω^)

Qdmailで非推奨エラー

スポンサードリンク

どうやらPHP5.4以上の環境では発生するらしい。

<?php

// $this->smtp_object = & new Qdsmtp();
$this->smtp_object = new Qdsmtp();

PHP5.4以上から、newはリファレンスを返すようになったから&はいらないんだとか。

! ということは、PHP5.3では動作しないってことね。めんどくせぇー。